package com.om.controller.admin;


import com.om.service.IAdminService;
import com.om.utils.AdminContext;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-01-26
 */
@RestController
@Api(tags = "后台管理系统用户模块接口")
@RequestMapping("/web/manager")
public class AdminController {

    @Resource
    private IAdminService adminService;


    @GetMapping("/login")
    @ApiOperation("管理员登录")
    public Result login(@RequestParam String username, @RequestParam String password){
        return adminService.login(username,password);
    }

    @GetMapping("/get")
    @ApiOperation("获取当前登录id")
    public Result get(){
        Integer adminId = AdminContext.getAdminId();
        return Result.ok(adminId);
    }

}
