package com.om.controller.user;


import com.om.entity.dto.UserLoginDTO;
import com.om.service.IAdminService;
import com.om.service.IUserService;
import com.om.utils.AdminContext;
import com.om.utils.Result;
import com.om.utils.UserContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 应用用户信息表 前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-01-29
 */
@RestController
@Api(tags = "客户端用户模块")
@RequestMapping("/app/user")
public class UserController {
    @Resource
    private IUserService userService;


    @PostMapping("/login")
    @ApiOperation("客户端用户登录")
    public Result login(@RequestBody UserLoginDTO dto){
        return userService.login(dto);
    }

    @GetMapping("/get")
    @ApiOperation("获取当前登录id")
    public Result get(){
        Integer userId = UserContext.getUserId();
        return Result.ok(userId);
    }
}
